Subject: bug#79033: <<< unnecessary harmful substitution (EOF)

From: Dmitri Seletski <[email-masked]>
Date: Wed, 16 Jul 2025 12:18:24 +0100

Sorry, send to wrong email list.

Sending to correct one.

Regards

Dmitri

On 7/16/25 12:16 PM, Dmitri Seletski wrote:
> Hello,
>
> I understand that typing 3 times '<' symbol forces auto substitution.
>
> I believe its a bug, it does not help me with anything, but wastes my 
> time. it's VI level arcane magic no one needs.
>
> Simple bash command I try to type in  - 'somecommand <<< file.txt' 
> becomes a nightmare.
>
> I can't find in google how to disable it.(or duck duck go for that 
> reason)
>
> I find results in search sites, and they talk about hooks.
>
> I have exactly ZERO interest learning LISP PROGRAMMING LANGUAGE, it's 
> hooks to DO BASIC TEXT EDITING!
>
> This is frustrating beyond belief.
>
> Please disable this undesired harmful "feature" in future releases by 
> default. Anything who are aware of it and use it - feel free to learn 
> LISP, hooks, and other programming languages, just to enable it.
>
> Please kindly explain in user friendly terms HOW TO DISABLE this 
> harmful 'feature'.(hopefully this will be cached into search engine 
> results, so other don't bang their heads against the wall)
>
> Please talk to users before implementing any auto substitution of input.
>
> Thank you in advance.
>
> Dmitri Seletski
>